export XIM=kinput2

CMSPATH=/home/cms
if [ ! -d ${CMSPATH} ]
then
	../../bin/errmsg "ディレクトリ構成が変わりました。.profile を修正して下さい。"
	exit
fi
PATH=".:$PATH:${CMSPATH}/bin"
HOME="${CMSPATH}"
TMP=/tmp
TZ=JST-9
SHELL=/bin/ksh
TERMINFO=/usr/lib
TERM=kterm-wsubform
#TERM=cygwin
TERMCAP=/home/cms
MAN=/usr/man
EXINIT=":source ${HOME}/.exrc"
VISUAL=vi
PAGER=more

PS1=">cms>> !> "
PS2=">> "
HISTFILE="${HOME}/.history.cms"
HISTSIZE=8192
CDPATH=":/:/fusr"

#set CMS environment
SYSNAME=cms
TABFILE=cmstab
EDITOR=vi
KEIVER=1
MREDITOR=vi

export CMSPATH
export PATH
export SYSNAME
export TABFILE
export EDITOR
export KEIVER
export MREDITOR

CMS_LOGNAME=cms
CMS_SYSNAME=$SYSNAME
CMS_TABFILE=$TABFILE
CMS_USERNAME=cms
CMS_EDITOR=vi
CMS_VERSION=$KEIVER
CMS_CALENDAR=${CMSPATH}/fusr/calendar
CMS_QUEID=`awk 'BEGIN {FS=";"} /^'$CMS_LOGNAME'/ {print $2}' $CMSPATH/diff/cmssetq`

export HOME
export TMP
export TZ
export SHELL
export TERM
export TERMCAP
export MAN
export EXINIT
export VISUAL
export PAGER

export PS1
export PS2
export HISTFILE
export HISTSIZE
export CDPATH

#set CMS environment
export CMS_LOGNAME
export CMS_SYSNAME
export CMS_TABFILE
export CMS_USERNAME
export CMS_EDITOR
export CMS_VERSION
export CMS_CALENDAR
export CMS_QUEID

#set JAVA environment
export LD_LIBRARY_PATH=.
export JAVA_PATH=/usr/local/j2sdk
export JAVA_HOME=/usr/local/j2sdk
export CLASSPATH=".:$JAVA_HOME/bin/jar:/usr/share/tomcat5/common/lib/servlet-api.jar"

#set Tomcat connector einvironments
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/local/apache22/modules
export LD_RUN_PATH=${LD_LIBRARY_PATH}

#set ANT environments
export ANT_HOME=/usr/local/ant

#set CATALINA environments
export CATALINA_BASE=/usr/local/tomcat-5.5.27
export CATALINA_HOME=/usr/local/tomcat-5.5.27
export CLASSPATH=.:$CATALINA_HOME/common/lib/servlet-api.jar
export JRE_HOME=/usr/local/j2sdk/jre
#export JRE_HOME=/usr/local/jre1.6.0_13

#set OpenSSL environments
export SSL_HOME=/usr/local/ssl

#set MYSQL environments
export MYSQL_HOME=/usr/local/mysql

umask 0002
alias vi='vim'
#mesg n

#postgresql envioronments
export CYGWIN=server
export PGDATA=/var/postgresql/data

#/usr/sbin/pg_ctl.exe  start


